/*  
Theme Name:   Horus Connect 
Theme URI:    https://horusconnect.fr
Description:  Horus Connect - twentytwentyone
Author:       studiowa.fr
Author URI:   https://www.studiowa.fr
Template:     twentytwentyone  
Version:      0.1.0
*/


/* --- Tarteaucitron --- */

/* Welcome */

body.wp-theme-twentytwentyone #tarteaucitronRoot div#tarteaucitronAlertBig {
  top: 50% !important;
  left: 0 !important;
  right: 0 !important;
  max-width: 95% !important;
  width: 460px !important;
  min-width: 0 !important;
  padding: 25px 0px;
  border-radius: 16px !important;
  bottom: auto !important;
  transform: translateY(-50%) !important;
  font-size: 14px!important;
}

.wp-theme-twentytwentyone #tarteaucitronRoot span#tarteaucitronDisclaimerAlert {
  font-size: 14px!important;
}

.wp-theme-twentytwentyone div#tarteaucitronAlertBig button:not(#tarteaucitronCloseCross) {
  display: inline-block !important;
  width: auto;
  border: 1px solid #47b8e9;
  color: #47b8e9;
  padding: 8px 10px;
  margin: 0 2px 10px !important;
  font-weight: bold;
  background: transparent;
  border-radius: 50px;
}

.wp-theme-twentytwentyone #tarteaucitronRoot button {
    font-weight: bold;
}
.wp-theme-twentytwentyone div#tarteaucitronAlertBig button#tarteaucitronPersonalize2 {
  border-color: #47b8e9;
  background-color: #47b8e9;
  color: white;
}

.wp-theme-twentytwentyone div#tarteaucitronAlertBig button#tarteaucitronPrivacyUrl {
  display: none!important;
}

#tarteaucitronRoot span#tarteaucitronDisclaimerAlert {
  line-height: 1.5;
}

.wp-theme-twentytwentyone span#tarteaucitronDisclaimerAlert {
  padding: 0 1.5rem;
}

/* Pannel */

/* Texte introduction */

.wp-theme-twentytwentyone div#tarteaucitronInfo {
  max-width: 85% !important;
  font-size: 14px !important;
  border-bottom: 0px solid;
  border-top: 0;
}

.wp-theme-twentytwentyone #tarteaucitronRoot #tarteaucitronInfo p {
  font-size: 14px;
  font-weight: 300 !important;
}

/* Titre service */

.wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices_mandatory .tarteaucitronH3 {
  font-weight: 700 !important;
  font-size: 14px;
  margin-top: 0px;
}

.wp-theme-twentytwentyone #tarteaucitronRoot .tarteaucitronH2 {
  font-weight: 400;
}

.wp-theme-twentytwentyone #tarteaucitronAlertBig a {
  color: black;
  text-decoration: underline;
}

.wp-theme-twentytwentyone #tarteaucitronPrivacyUrl,
.wp-theme-twentytwentyone #tarteaucitron #tarteaucitronPrivacyUrlDialog {
  text-decoration: underline;
}
.wp-theme-twentytwentyone #tarteaucitron button#tarteaucitronClosePanel {
  font-size: 0;
  position: absolute;
  top: 0;
  right: 0 !important;
  border: 0;
  padding: 13px 10px;
  color: var(--blue-dark);
  z-index: 9999;
  width: 1.5rem;
}
.wp-theme-twentytwentyone #tarteaucitron #tarteaucitronClosePanel {
  background: transparent;
}
.wp-theme-twentytwentyone #tarteaucitron #tarteaucitronClosePanel::before {
  content: '✕';
  font-size: 1rem;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background: transparent;
}

html body.wp-theme-twentytwentyone #tarteaucitronRoot button#tarteaucitronSaveButton {
  border-radius: 0;
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  -ms-border-radius: 0;
  -o-border-radius: 0;
  background-color: #47b8e9;
  color: white;
  padding: 8px 12px;
  border-radius: 40px;
  font-size: 14px!important;
}

html body.wp-theme-twentytwentyone #tarteaucitronRoot div#tarteaucitronSave {
  background: white;
}
.wp-theme-twentytwentyone #tarteaucitronRoot button {
    border-radius: 0;
  }
  
  .wp-theme-twentytwentyone #tarteaucitronRoot div#tarteaucitron {
    left: 0;
    right: 0;
    margin: auto;
    top: 50% !important;
    transform: translateY(-50%);
  }
  
  .wp-theme-twentytwentyone div#tarteaucitronServices {
    box-shadow: 0 40px 60px rgba(130, 117, 104,.6);
    border-radius: 0;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    -ms-border-radius: 0;
    -o-border-radius: 0;
    scrollbar-color: var(--brown) white;
    scrollbar-width: thin;
    margin-top: 0!important;
}
  
  .wp-theme-twentytwentyone #tarteaucitronRoot .tarteaucitronH1 {
    color: #47b8e9;
    margin: 40px 0 8px;
  }
  
  .wp-theme-twentytwentyone #tarteaucitronRoot button#tarteaucitronBack {
    background: rgba(0,0,0,.2);
  }

  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine .tarteaucitronName {
    width: 70%;
  }
  
  .wp-theme-twentytwentyone #tarteaucitronRoot.tarteaucitronBeforeVisible #tarteaucitronAlertBig {
    bottom: 2em;
    opacity: 1;
  }
  .wp-theme-twentytwentyone #tarteaucitronAlertBig #tarteaucitronPrivacyUrlDialog
  .wp-theme-twentytwentyone .tarteaucitron-modal-open {overflow: auto;}
  
  .wp-theme-twentytwentyone #tarteaucitronAlertBig #tarteaucitronPrivacyUrl, 
  .wp-theme-twentytwentyone #tarteaucitronAlertBig #tarteaucitronPrivacyUrlDialog, 
  .wp-theme-twentytwentyone #tarteaucitronAlertBig #tarteaucitronDisclaimerAlert, 
  .wp-theme-twentytwentyone #tarteaucitronAlertBig #tarteaucitronDisclaimerAlert strong {
    color: black;
    margin-bottom: 1.5em;
    text-align: center;
  }
  
  .wp-theme-twentytwentyone .tarteaucitronCheck, 
  .wp-theme-twentytwentyone .tarteaucitronCross, 
  .wp-theme-twentytwentyone .tarteaucitronPlus {
    display: none;
  }

  
  .wp-theme-twentytwentyone #tarteaucitronRoot .tarteaucitronAllow,
   .wp-theme-twentytwentyone #tarteaucitronRoot .tarteaucitronDeny {
    font-weight: 300;
  }
  
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine,
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine:hover,
  .wp-theme-twentytwentyone #tarteaucitronAlertSmall #tarteaucitronCookiesListContainer #tarteaucitronCookiesList .tarteaucitronTitle,
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronTitle button,
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronInfo,
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronDetails {
    background: white;
    color: black;
    font-size: 14px;
    text-align: center;
  }
  
  .wp-theme-twentytwentyone #tarteaucitron .tarteaucitronBorder {
    border-top: 1px solid #DDD;
    border-color: #DDD!important;
    border-bottom: 0;
    border-right: 0;
    border-left: 0;
  }
  
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices #tarteaucitronAllDenied.tarteaucitronIsSelected, 
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices #tarteaucitronAllDenied2.tarteaucitronIsSelected,
  .wp-theme-twentytwentyone .tac_activate .tarteaucitronAllow {
    font-weight: 300;
    background-color: transparent;
    border-radius: 0px;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    -ms-border-radius: 0px;
    -o-border-radius: 0px;
}
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine .tarteaucitronAsk #tarteaucitronAllAllowed  {
    border: 0;
    background: #47b8e9;
    color: #FFFFFF;
    width: fit-content;
    padding: 8px 14px;
    display: inline-block;
  }
  
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine .tarteaucitronAsk #tarteaucitronAllDenied {
    border: 0;
    background: #47b8e9;
    color: #FFFFFF;
    width: fit-content;
    padding: 8px 14px;
    display: inline-block;
  }

  #tarteaucitron #tarteaucitronServices .tarteaucitronLine .tarteaucitronAsk,
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine .tarteaucitronAlways {
    display: inline-block;
    float: right;
    margin: 7px 15px 0;
    text-align: right;
  }
  
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine, .wp-theme-twentytwentyone #tarteaucitronSave {
    background: white;
    border-top: 1px solid #DDD;
    border-bottom: 0;
  }
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine.tarteaucitronIsAllowed,
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine.tarteaucitronIsDenied {
    border: 0;
  }
  
  .wp-theme-twentytwentyone #tarteaucitronAlertSmall #tarteaucitronCookiesListContainer #tarteaucitronCookiesList .tarteaucitronTitle,
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronTitle button,
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronInfo,
  .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronDetails {
    padding: 5px 15px;
  }
  
  .wp-theme-twentytwentyone #tarteaucitron .tarteaucitronH3 {
    font-size: 16px;
  }
  
  @media screen and (max-width: 480px) {
    .wp-theme-twentytwentyone #tarteaucitronRoot.tarteaucitronBeforeVisible #tarteaucitronAlertBig {
      bottom: 0;
    }
    .wp-theme-twentytwentyone #tarteaucitronRoot .tarteaucitronDeny, .wp-theme-twentytwentyone #tarteaucitronAlertBig #tarteaucitronCloseAlert, .wp-theme-twentytwentyone #tarteaucitronAlertBig .wp-theme-twentytwentyone #tarteaucitronPersonalize, .wp-theme-twentytwentyone #tarteaucitronAlertBig #tarteaucitronPersonalize2, .wp-theme-twentytwentyone .tarteaucitronCTAButton, .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronPrivacyUrl, .wp-theme-twentytwentyone #tarteaucitron #tarteaucitronPrivacyUrlDialog, .wp-theme-twentytwentyone #tarteaucitronRoot .tarteaucitronDeny, .wp-theme-twentytwentyone #tarteaucitronRoot .tarteaucitronAllow {
      padding: .5em;
    }
  }


/* Accept - Refuse */

.wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine .tarteaucitronAsk .tarteaucitronAllow, 
.wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine .tarteaucitronAlways .tarteaucitronAlwaysAllow, 
.wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine .tarteaucitronAsk .tarteaucitronDeny {
  background: var(--gray-200);
  display: inline-block;
  appearance: none;
  -webkit-appearance: none;
  position: relative;
  cursor: pointer;
  margin: 0px;
  border: 0;
  padding: 8px 12px;
  border-radius: 50px;
}

.wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine .tarteaucitronAlways .tarteaucitronAlwaysAllow {
  width: 110px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine .tarteaucitronAsk .tarteaucitronDeny {
  background-color: var(--gray-300);
}

.wp-theme-twentytwentyone #tarteaucitronRoot #tarteaucitron .tarteaucitronIsAllowed [aria-pressed="true"],
.wp-theme-twentytwentyone #tarteaucitron #tarteaucitronServices .tarteaucitronLine .tarteaucitronAlways .tarteaucitronAlwaysAllow {
  background-color: #47b8e9 !important;
  color: white !important;
  font-weight: 300 !important;
}
.wp-theme-twentytwentyone #tarteaucitronRoot #tarteaucitron .tarteaucitronIsDenied [aria-pressed="true"] {
  background-color: #47b8e9 !important;
  color: white !important;
  font-weight: 300 !important;
}
